Subject: Re: Need help with mdiobus_register and phy

From: Timur Tabi <[email-masked]>
Date: Fri, 14 Oct 2016 08:03:18 -0500

Andrew Lunn wrote:
> Have you tried using the ethernet-phy-id device tree property? It
> looks like that will allow you to skip get_phy_device and just create
> the phy device. You can then bring the phy out of sleep in the probe
> function?

The problem I'm experiencing is with ACPI, so I can't use any of the 
fancy of_ apis like of_get_phy_id().  But I'll look into it.

Is it possible that at803x_suspend() is too aggressive?  That's it's 
effectively disabling the phy?  While the phy is suspended, should it 
still respond to MII_PHYSID1 and MII_PHYSID2 requests?

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, hosted by The Linux Foundation.